### Hierarchy

- BaseForLines
  - LevelMap

### Implements

- ILevel

## Index

### Constructors

- constructor

### Properties

- __coverageCount
- __source

### Methods

- __getLineAndColumnRange
- __getSourceLineAndColumn
- __incrementCoverage
- getHeight
- getMessage
- getRows
- getWidth
- isMap
- toSourceString
- toString

## Constructors

### constructor

- new LevelMap(source: IGameCode, rows: IGameTile[][]): LevelMap

- Overrides BaseForLines.constructor

  - Defined in models/level.ts:14

  #### Parameters

  - ##### source: IGameCode

  - ##### rows: IGameTile[][]

  #### Returns LevelMap

## Properties

### __coverageCount

__coverageCount: Optional<number>

Inherited from BaseForLines.__coverageCount

- Defined in models/BaseForLines.ts:69

### __source

__source: IGameCode

Inherited from BaseForLines.__source

- Defined in models/BaseForLines.ts:68

## Methods

### __getLineAndColumnRange

- __getLineAndColumnRange(): object

- Inherited from BaseForLines.__getLineAndColumnRange

  - Defined in models/BaseForLines.ts:96

  #### Returns object

  - ##### end: object

    - ##### col: number

    - ##### line: number

  - ##### start: object

    - ##### col: number

    - ##### line: number

### __getSourceLineAndColumn

- __getSourceLineAndColumn(): object

- Inherited from BaseForLines.__getSourceLineAndColumn

  - Defined in models/BaseForLines.ts:81

  #### Returns object

  - ##### colNum: number

  - ##### line: string

  - ##### lineNum: number

  - ##### nextLine: null | string

  - ##### prevLine: null | string

### __incrementCoverage

- __incrementCoverage(): void

- Inherited from BaseForLines.__incrementCoverage

  - Defined in models/BaseForLines.ts:104

  #### Returns void

### getHeight

- getHeight(): number

- Implementation of ILevel.getHeight

  - Defined in models/level.ts:29

  #### Returns number

### getMessage

- getMessage(): string

- - Defined in models/level.ts:32

  #### Returns string

### getRows

- getRows(): IGameTile[][]

- - Defined in models/level.ts:23

  #### Returns IGameTile[][]

### getWidth

- getWidth(): number

- Implementation of ILevel.getWidth

  - Defined in models/level.ts:26

  #### Returns number

### isMap

- isMap(): boolean

- - Defined in models/level.ts:20

  #### Returns boolean

### toSourceString

- toSourceString(): string

- Inherited from BaseForLines.toSourceString

  - Defined in models/BaseForLines.ts:90

  #### Returns string

### toString

- toString(): string

- Inherited from BaseForLines.toString

  - Defined in models/BaseForLines.ts:85

  #### Returns string

Generated using TypeDoc